My Project: dht::DhtRunner::Config Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Attributes | List of all members
dht::DhtRunner::Config Struct Reference
Collaboration diagram for dht::DhtRunner::Config:
[legend]

## Public Attributes
SecureDhtConfig | dht_config {}
bool | threaded {true}
std::string | proxy_server {}
std::string | push_node_id {}
std::string | push_token {}
std::string | push_topic {}
std::string | push_platform {}
std::string | proxy_user_agent {}
bool | peer_discovery {false}
bool | peer_publish {false}
std::shared_ptr< dht::crypto::Certificate > | server_ca
dht::crypto::Identity | client_identity
SockAddr | bind4 {}
SockAddr | bind6 {}

## Detailed Description

Definition at line 41 of file dhtrunner.h.

## Member Data Documentation

## ◆ bind4

SockAddr dht::DhtRunner::Config::bind4 {}

Definition at line 55 of file dhtrunner.h.

## ◆ bind6

SockAddr dht::DhtRunner::Config::bind6 {}

Definition at line 55 of file dhtrunner.h.

## ◆ client_identity

dht::crypto::Identity dht::DhtRunner::Config::client_identity

Definition at line 54 of file dhtrunner.h.

## ◆ dht_config

SecureDhtConfig dht::DhtRunner::Config::dht_config {}

Definition at line 43 of file dhtrunner.h.

## ◆ peer_discovery

bool dht::DhtRunner::Config::peer_discovery {false}

Definition at line 51 of file dhtrunner.h.

## ◆ peer_publish

bool dht::DhtRunner::Config::peer_publish {false}

Definition at line 52 of file dhtrunner.h.

## ◆ proxy_server

std::string dht::DhtRunner::Config::proxy_server {}

Definition at line 45 of file dhtrunner.h.

## ◆ proxy_user_agent

std::string dht::DhtRunner::Config::proxy_user_agent {}

Definition at line 50 of file dhtrunner.h.

## ◆ push_node_id

std::string dht::DhtRunner::Config::push_node_id {}

Definition at line 46 of file dhtrunner.h.

## ◆ push_platform

std::string dht::DhtRunner::Config::push_platform {}

Definition at line 49 of file dhtrunner.h.

## ◆ push_token

std::string dht::DhtRunner::Config::push_token {}

Definition at line 47 of file dhtrunner.h.

## ◆ push_topic

std::string dht::DhtRunner::Config::push_topic {}

Definition at line 48 of file dhtrunner.h.

## ◆ server_ca

std::shared_ptr<dht::crypto::Certificate> dht::DhtRunner::Config::server_ca

Definition at line 53 of file dhtrunner.h.

## ◆ threaded

bool dht::DhtRunner::Config::threaded {true}

Definition at line 44 of file dhtrunner.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/dhtrunner.h